<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Settings;
use App\Models\Plans;
use App\Models\User_copytradings;
use App\Models\Tp_Transaction;
use App\Models\Copytrading;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use App\Mail\NewNotification;
use Illuminate\Support\Facades\Mail;
use Carbon\Carbon;
class UserCopyTradingConroller extends Controller
{
    //


     //Main Plans route
     public function mcopytradings()
     {
         return view('user.mcopytradings')
             ->with(array(
                 'title' => 'Copy Trading Plans',
                 'copytradings' => Copytrading::where('type', 'main')->get(),
                 'settings' => Settings::where('id', '1')->first(),
             ));
     }



     //Buy and Investment Plan
    public function joincopytrade(Request $request){
        //get user
       
        
        if(Auth::user()->copy_plan !=NULL){
           
            $copy = User_copytradings::find(Auth::user()->copy_plan);
            
            User::where('id', auth::user()->id)
            ->update([
                'account_bal' => Auth::user()->account_bal + $copy->price,
               
         ]);


         
        }
       
        $user=User::where('id',Auth::user()->id)->first();
        //get plan
        $copy=Copytrading::where('id',$request['id'])->first();
        //check if the user account balance can buy this plan
        if($user->account_bal < $copy->price){
            //redirect to make deposit
            return redirect()->route('deposits')
          ->with('message', 'Your account is insufficient to copy this expert. Please deposit');
            
        }
      
       


       

        //debit user
        User::where('id', Auth::user()->id)
        ->update([
            'account_bal'=>$user->account_bal- $copy->price,
        ]);

        //create history
        Tp_Transaction::create([
            'user' => $user->id,
            'plan' => $copy->name,
            'amount'=>$copy->price,
            'type'=>"Copying Expert Trader $copy->name",
        ]);

        //save user copy
        $usercopyid = DB::table('user_copytradings')->insertGetId([
            'cptrading' => $copy->id,
            'user' => Auth::user()->id,
            'price' => $copy->price,
            'active' => 'yes',
            'name'=> $copy->name,
            'tag' => $copy->tag,
            'type' => $copy->type,
            'created_at' => \Carbon\Carbon::now(),
            'updated_at' => \Carbon\Carbon::now(),
        ]);

        User::where('id',Auth::user()->id)
        ->update([
          'copy'=>$copy->name,
          'copy_plan' => $usercopyid,
          
        ]);

        //send notification
        $settings=Settings::where('id', '=', '1')->first();
        $message = "This is to inform you that $user->name just copied: $copy->name";
        $subject ="$user->name just purchased a Copytrading";
        Mail::to($settings->contact_email)->send(new NewNotification($message, $subject, 'Admin'));

        return redirect()->back()
          ->with('success', "You have successfully copied $copy->name.");
    }




    public function cancelcopytrade(Request $request)
    {
       
        $copy = User_copytradings::where('user',Auth::user()->id)->first();
      
      
      User_copytradings::where('user',Auth::user()->id)->where('active','yes')->update([
          'active'=>'cancelled',
          ]);
        

        // credit the user his capital
        User::where('id', Auth::user()->id)
            ->update([
                'account_bal' => Auth::user()->account_bal + $copy->price,
                'copy' => NULL,
                'copy_plan'=> NULL,
         ]);

        //save to transactions history
        $th = new Tp_transaction();
        $th->plan = $copy->name;
        $th->user = $copy->user;
        $th->amount = $copy->price;
        $th->type = "cancelled Copying $copy->name";
        $th->save();

        // Send a mail to the user informing them of their plan cancellation
        $planName = $copy->name;
        $message = "You have succesfully cancelled Copying  $planName and your capital have been credited to your account,  If this is a mistake, please contact us immediately to reactivate it for you.";
        Mail::to(Auth::user()->email)->send(new NewNotification($message,"Copying expert $copy->name Cancelled", Auth::user()->name));
        
        return back()->with('success', 'Copy trading cancelled successfully');
    }

}
