@extends('layouts.dasht')
@section('title', $title)
@section('content')

<div class="udex-main" id="main">
    <!-- Page title -->
    <div class="page-title">
        <div class="row justify-content-between align-items-center">
            <div class="mb-3 col-md-6 mb-md-0">
                <h5 class="mb-4 text-black h3 font-weight-400"> Loan history</h5>
            </div>
        </div>
    </div>
    <x-danger-alert />
    <x-success-alert />
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="mb-5 row">
                        <div class="p-2 text-center p-md-4 col-12">
                            <div class="table-responsive">
                                <table class="table table-hover">
                                    <thead class="font-weight-bold bg-light">
                                        <tr>
                                           
                                            <th>Amount</th>
                                            <th>Purpose</th>
                                            <th>Duration</th>
                                            <th>Status</th>
                                            <th>Date Applied</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($loans as $loan)
                                            <tr>
                                                <td>{{ $settings->currency }}{{$loan->amount }} {{ $settings->currency }}</td>
                                                <td>{{ $loan->purpose }}
                                                </td>
                                                <td>{{ $loan->duration }}</td>
                                               
                                                @if($loan->active =='Processed')
          <td><span class="badge badge-pill badge-success badge-sm">{{ $loan->active }}</span></td>
          @else
          <td><span class="badge badge-pill badge-warning badge-sm">{{$loan->active }}</span></td>
          @endif
                                  
          <td>{{ \Carbon\Carbon::parse($loan->created_at)->toDayDateTimeString() }}</td>
         
                                            </tr>
                @endforeach
                                       
                                    </tbody>
                                </table>
                            </div>
                          
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
