@extends('layouts.dasht')
@section('title', $title)
@section('content')
<div class="udex-main" id="main">
    <!-- Page title -->
    <div class="page-title">
        <div class="row justify-content-between align-items-center">
            <div class="mb-3 col-md-6 mb-md-0">
                <h5 class="mb-0 text-black h3 font-weight-400">Copy An Expert Today</h5>
            </div>
        </div>
    </div>
    <x-danger-alert />
    <x-success-alert />
    <div class="row">
        <div class="my-5 col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="my-5 row d-flex nowrap">
                        @foreach ($copytradings as $copytrading)
                            <div class="mb-4 col-lg-4">
								<div class="card-deck">
                                   
									<div class="text-center border-0 rounded-lg shadow-lg card card-pricing hover-scale-110 bg-primary popular">
										<div class="py-0 border-0 card-header">
                                            
											<div class="py-2 text-center">
                                                <div  class='text-left'>
                                                    <span class='badge badge-warning'>{{ $copytrading->tag }}</span>
                                                    </div>
                                                    <img src="{{ asset('storage/app/public/'.$copytrading->photo) }}"  width="85" height="75" class="rounded-circle rounded" alt="{{ $copytrading->name }}">
                                                    <h6 class="text-black text-center text-primary"><span class="px-4 mx-auto bg-white shadow-sm  rounded-bottom">{{ $copytrading->name }}</span></h6>
                                                
												
												
											</div>
										</div>
										<hr class="my-0 divider divider-fade divider-dark" />
										<div class="card-body">
											<ul class="mb-4 text-black list-unstyled">
												<li> 
													<small>Followers</small>
													<p class="text-black h5">{{ number_format($copytrading->followers) }}</p>
												</li>
												<li>
													<small>Minimuum Start Up Capital </small>
													<p class="text-black h5">{{ $settings->currency }}{{ number_format($copytrading->price )}}</p>
												</li>
												<li>Percentage Profit: <strong>{{ $copytrading->equity }}%</strong></li>
												<li>
													Total Profit: 
													<strong>
														{{ $settings->currency }}{{ $copytrading->total_profit }}
													</strong>
												</li>
												<li>
													Rating: @if($copytrading->rating >=5)
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                     <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                    @elseif($copytrading->rating==4)
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                     <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star "></span>
                                                    @elseif($copytrading->rating==3)
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                     <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star "></span>
                                                    <span class="fa fa-star "></span>
                                                    @elseif($copytrading->rating==2)
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                     <span class="fa fa-star "></span>
                                                    <span class="fa fa-star "></span>
                                                    <span class="fa fa-star "></span>
                                                    @elseif($copytrading->rating==1)
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star "></span>
                                                     <span class="fa fa-star "></span>
                                                    <span class="fa fa-star "></span>
                                                    <span class="fa fa-star "></span>
                                                    @endif
												</li>
                                                <style>
                                                    .checked {
                                      color: orange !important;
                                    }
                                                    </style>
											</ul>
                                            
                                            <div class="">
                                                @if($copytrading->name == Auth::user()->copy)
                                                <form method="post" action="{{route('cancelcopytrade')}}">
                                                    
                                                    {{-- <input type="number" min="{{$copytrading->price}}" name="amount" placeholder="Ente " class="form-control text-blcak"> <br> --}}
                                                   
                                                    <input type="hidden" name="id" value="{{ $copytrading->id }}">
                                                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                                   
                                                    <input type="submit" class="btn btn-block pricing-action btn-success text-white" value="Stop Copying Expert " >
                                                    
                                                   
                                                </form>


                                                @else
                                                <form method="post" action="{{route('joincopytrade')}}">
                                                    
                                                    {{-- <input type="number" min="{{$copytrading->price}}" name="amount" placeholder="Ente " class="form-control text-blcak"> <br> --}}
                                                   
                                                    <input type="hidden" name="id" value="{{ $copytrading->id }}">
                                                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                                   
                                                    <input type="submit" class="btn btn-block pricing-action btn-success text-white" value="Copy Expert" >
                                                   
                                                </form>
                                              
                                                @endif
                                                
                                                
                                            </div>
										</div>
									</div>
								</div>
                            </div>
                        @endforeach
                    </div>
                    <!-- Withdrawal Modal -->
                    

        </div>
    </div>
</div>
@endsection
